Skip to content

Get Order Details

Request

Endpoint to consult the details of an order.

HOST: Keeta

DIRECTION:

Security
OAuth2(Required scopes: od.all) and Sig
Path
orderIdstringrequired

The unique identifier of the order. The order ID is generated by Keeta.

curl -i -X GET \
  'https://open.mykeeta.com/api/open/opendelivery/v1/orders/{orderId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'X-App-Signature: YOUR_API_KEY_HERE'

Responses

Order returning success.

Bodyapplication/json
idstringrequired

The unique identifier of the order. The order ID is generated by Keeta.

typestringrequired

DELIVERY - for orders that will be delivered to the customer's address.
TAKEOUT - orders that will be picked up at the establishment by the customer
INDOOR - orders that will be consumed inside the establishment.

Enum:"DELIVERY""TAKEOUT""INDOOR"
displayIdstringrequired

Order Id shown in Keeta interface for the customer.

sourceAppIdstring

This field must be filled in with the AppId of Keeta that originated the order. This field is to help the applications that will work as a Hub, intermediating the requests from Keeta with the Software Service.

salesChannelstring

You can indicate through which sales channel this order originated.

virtualBrandstring

This field can be used as an alternative id for the merchant, in cases where the same merchant has different identifications or brands (such as dark kitchens). It is important to note that Keeta or Software Hub must know this Id beforehand.

categorystring

Indicates the order category.

If you find that your order category does not fit any of the listed categories, please open an issue so it can be added.

Default:"FOOD"
Enum:"FOOD""GROCERY""DRUGSTORE""PETSTORE"
createdAtstring, (date-time)required

Order creation date and time.

(UTC date-time in ISO timestamp format. See Guidelines for more info.).

lastEventstring

The last valid event polled (whether acknowledged or not) or sent via webhook. Click here for definitions of each type.

Enum:"CREATED""CONFIRMED""DISPATCHED""READY_FOR_PICKUP""PICKED_UP""DELIVERED""CONCLUDED""CANCELLATION_REQUESTED""CANCELLED""USER_REFUND_REQUEST"
orderTimingstringrequired

Indicates the timing for initiating the order:

INSTANT: for orders that must be prepared immediately. SCHEDULED: for orders scheduled for a specific date and time. It will always be accompanied by the schedule object. ONDEMAND: for orders that will only be delivered when the consumer indicates that they are going to pick it up. In this case, the Software Service will receive a PREPARATION_REQUESTED event indicating that the order should be started.

Enum:"INSTANT""SCHEDULED""ONDEMAND"
preparationStartDateTimestring, (date-time)required

Suggestion for the preparation start time after Order creation. This can be used by Keeta to inform the merchant to delay the start of the preparation for any reason. Default is the same time as the order creation time.

(UTC date-time in ISO timestamp format. See Guidelines for more info).

merchantobjectrequired

Merchant information.

itemsArray of objectsrequired

Order items.

otherFeesArray of objects

Other fees that may apply.

discountsArray of objects

Any discounts that may apply.

totalobjectrequired

Set of fields with the sum of the values previously described in the order.

paymentsobjectrequired

All the description of the payment, such as methods, pre-payments, change, etc.

taxInvoiceobject

Tax Invoice information.

customerobject

Customer related information.

REQUIRED if the chosen type is DELIVERY

scheduleobject

Information for scheduled orders.

REQUIRED if orderTiming is SCHEDULED.

orderPrioritystring

Defines the priority of preparation and delivery of this order in relation to other orders from the same Keeta.
The lower the priority, the faster this order should be fulfilled.

Note: This field depends on both Keeta and the Merchant being able to support this functionality.

Enum:"PRIORITY1""PRIORITY2""PRIORITY3""PRIORITY4""PRIORITY5"
deliveryobject

Information for DELIVERY orders.

REQUIRED if the chosen type is DELIVERY

takeoutobject

Information for TAKEOUT orders.

REQUIRED if the chosen type is TAKEOUT

indoorobject

Information for INDOOR orders.

REQUIRED if the chosen type is INDOOR

sendPreparingboolean

This field indicates whether it is necessary for the Software Service to make a request to the POST /v1/orders/{orderId}/preparing endpoint to indicate to the Keeta that the order is in production.

true: Indicates that the Keeta is waiting for a request.

false or not informed: It is not required to make a request.

sendDeliveredboolean

This field indicates whether it is necessary for the Software Service to make a request to the POST /v1/orders/{orderId}/delivered endpoint to indicate to the Keeta that the order has been delivered to the client.

true: Indicates that the Keeta is waiting for a request.

false or not informed: It is not required to make a request.

sendPickedUpboolean

This field indicates whether it is necessary for the Software Service to make a request to the POST /v1/orders/{orderId}/pickedUp endpoint to indicate to the Keeta that the order has been picked up by the client.

true: Indicates that the Keeta is waiting for a request.

false or not informed: It is not required to make a request.

sendTrackingboolean

This field indicates whether it is necessary for the Software Service to make a request to the POST /v1/orders/{orderId}/tracking endpoint to inform the Keeta about delivery updates.

true: Indicates that the Keeta is waiting for a request.

false or not informed: It is not required to make a request.

extraInfostring

Extra information, if necessary.

Response
{ "id": "string", "type": "DELIVERY", "displayId": "string", "sourceAppId": "string", "salesChannel": "string", "virtualBrand": "string", "category": "FOOD", "createdAt": "2019-08-24T14:15:22Z", "lastEvent": "CREATED", "orderTiming": "INSTANT", "preparationStartDateTime": "2019-08-24T14:15:22Z", "merchant": { "id": "22815773000169-dbc7e35a-c936-4665-9e13-eb55eb8b6824", "name": "Pizza Plaza" }, "items": [ { … } ], "otherFees": [ { … } ], "discounts": [ { … } ], "total": { "itemsPrice": { … }, "otherFees": { … }, "discount": { … }, "orderAmount": { … } }, "payments": { "prepaid": 0, "pending": 0, "methods": [ … ] }, "taxInvoice": { "issued": false, "taxInvoiceURL": "string" }, "customer": { "id": "string", "name": "string", "documentNumber": "string", "phone": { … }, "email": "string", "ordersCountOnMerchant": 0 }, "schedule": { "scheduledDateTimeStart": "2019-08-24T14:15:22Z", "scheduledDateTimeEnd": "2019-08-24T14:15:22Z" }, "orderPriority": "PRIORITY1", "delivery": { "deliveredBy": "MERCHANT", "deliveryAddress": { … }, "estimatedDeliveryDateTime": "2019-08-24T14:15:22Z", "deliveryDateTime": "2019-08-24T14:15:22Z", "pickupCode": "string" }, "takeout": { "mode": "DEFAULT", "takeoutDateTime": "2019-08-24T14:15:22Z" }, "indoor": { "mode": "DEFAULT", "indoorDateTime": "2019-08-24T14:15:22Z", "place": "string", "tab": "string", "seat": "string", "waiterCode": "string" }, "sendPreparing": true, "sendDelivered": true, "sendPickedUp": true, "sendTracking": true, "extraInfo": "string" }